metflac-field2field.sh
======================

`metaflac-field2field.sh` utilise metaflac pour effectuer des actions de copie
ou déplacement de champ à champ sur les fichiers FLAC.

Invocation du script :

    metaflac-field2field.sh <ACTION> <SRC_FIELD> <DST_FIELD> <FILE.flac> \
        [ <FILE2.flac> [...] ]

`<ACTION>` est l'action à effectuer sur les champs, parmi « copy », « move »,
« rmcopy » et « mvcopy » :

- **copy** : chaque occurrence de `SRC_FIELD` est dupliquée pour créer une
  occurrence de `DST_FIELD` ; toutes les occurrences existantes de `SRC_FIELD`
  et de `DST_FIELD` sont conservées.

- **move** : chaque occurrence de `SRC_FIELD` est déplacée pour créer une
  occurrence de `DST_FIELD` ; les occurrences existantes de `DST_FIELD` sont
  conservées.

- **rmcopy** : les occurrences existantes de `DST_FIELD` sont supprimées, puis
  chaque occurrence de `SRC_FIELD` est dupliquée pour créer une occurrence de
  `DST_FIELD` ; les occurrences de `SRC_FIELD` sont conservées.

- **rmmove** : les occurrences existantes de `DST_FIELD` sont supprimées, puis
  chaque occurrence de `SRC_FIELD` est déplacée pour créer une occurrence de
  `DST_FIELD`.

`<SRC_FIELD>` est le champ source de l'action.

`<DST_FIELD>` est le champ de destination de l'action.

On spécifie ensuite un ou plusieurs fichier sur lequel ou lesquels effectuer
l'action.

À noter que vous devriez toujours employer des noms de champs en lettres
MAJUSCULES ; les champs en minuscules ne sont pas gérés, et le comportement du
programme est indéfini si vous les employez. Par exemple, si vous essayez de
renommer un champ en minuscules (exemple : `metaflac-field2field move DATE
date`), le champ sera simplement supprimé, car `metaflac --remove-tag` ne
tient pas compte de la casse.
