latexd.sh
=========

`latexd.sh` is a quick and dirty script that watches a file and calls `make`
whenever a change is detected. This is useful to automatically compile a LaTeX
document when saved, but can actually be used in any case where you have to
call `make` regularly. To detect a change, a MD5 sum of the file is computed.

This script works well (at least) on GNU/Linux and FreeBSD.

Limitations :

- Handles only a single file.
- The delay between two checks is not configurable.


make_html2text.sh
=================

`make_html2text.sh` converts all HTML (`.html` and `.htm`) files in the current
directory into text files (.txt). For each HTML file, it verifies that the text
file does not exists, or is older than the corresponding HTML file; if the text
file is more recent, nothing is done.

To use this script, you will have to install the program `html2text`. The
option `-nobs` is used to avoid output of formatting sequences (bold, italic,
etc.).
